public static void main (string[] args) {
	RSSXMLParser rxp = new RSSXMLParser();
	rxp.set_debug(true);
	if (args.length <2) {
		stdout.printf("include a file to parse");
		return;
	}
	try{
		rxp.parse_file(args[1]);
		stdout.printf("title: %s\n", rxp.feed_title);
		stdout.printf("desc: %s\n", rxp.feed_description);
		stdout.printf("link: %s\n", rxp.feed_link);
		
		var fe = rxp.get_feed_episodes();
		
		stdout.printf("Number of Episodes: %d\n", fe.length);
		foreach(Episode e in fe) {
			stdout.printf("\t%s\n\t%s\n%s\n", e.title, e.url, e.pubdate);
		}
	}catch(Error e) {
		stderr.printf(e.message+"\n");
	}
	
}
